<?
/*
=============================================
 Движок:  SHCMS Engine
=============================================
 Название файла: Комментарии
=============================================
 Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
	if($_GET['id']){
		$id = $_GET['id'];
	}
	
	$lib_comm = mysql_fetch_array(mysql_query("SELECT * FROM `libs_stat` WHERE `id` = '$id'"));
	$shcmsengine['title'] = 'Комментарии к '.$lib_comm['name'].'';
	include_once'../template/head.php';
  
  $allfield = mysql_result(mysql_query("SELECT COUNT(*) FROM `libs_comm` WHERE `id_stat` = '$id'"),0);
  $newlist = new Navigation($allfield,10, true);    
						   
    if($user_id)
    {
        echo '<strong>Текст комментария:</strong><br/>';
            if($brodilka == "web")
            {
			  echo '<div class="border_message">';
                $text_list->text_lister();
			}
			
        echo '<form action="?id='.$id.'" method="post" name="form">';
        echo '<textarea name="text"></textarea><br/>';
           $form->textarea();
		   echo '<br/>';
	}

    $where_comm = mysql_query("SELECT * FROM `libs_comm` WHERE `id_stat` = '$id'  ORDER BY `id` DESC ". $newlist->limit()."");
	
    if(mysql_num_rows($where_comm) > 0)
    {
        while($whire_comm = mysql_fetch_array($where_comm))
       {
        $users = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '$whire_comm[user_id]'"));
        echo '<div class="posts">';
                users_profile($users['id']);
                echo list_users($users['id']).'';
                echo '<br/>'.processing($whire_comm['text']).'<span style="float: right">'.$timedate->times($whire_comm['time']).'</span></div>';
        }

		echo '<div class="pages">';
        echo $newlist->pagination('id='.$id.'');
        echo '</div>';
    }
    else
    {
        echo '<div class="posts">Комментарии не добавлены</div>';
    }
	
        if($_POST['submit'])
        {
		    $submit = $_POST['submit'];
		}
        if(isset($submit))
        {
		    if($_POST['text'])
            {
			    $text = $_POST['text'];
			}

            if(empty($text))
            {
			    echo '<div class="errors">Введите текст комментарии</div>';
			    header("Refresh: 1; url=?id=$id");
			    include_once'../template/foot.php';
			    exit;
			}


			    $comm = mysql_query("INSERT INTO `libs_comm` (`user_id`,`id_stat`,`time`,`text`) VALUES ('$user_id','$id','".time()."','$text')");
    if($comm == true)
	{
	    echo '<div class="actshcms">Комментария успешно добавлена</div>';
	    header("Refresh: 1; url=?id=$id");
	    include_once'../template/foot.php';
	    exit;
	}
	else {
	    echo '<div class="actshcms">Возникла ошибка при добавлении комментарии</div>';
	    header("Refresh: 1; url=?id=$id");
	    include_once'../template/foot.php';
	    exit;
	}

	    }


	include_once'../template/foot.php';
	
?>